{
  "parser": "@typescript-eslint/parser",
  "plugins": ["@typescript-eslint", "jest", "testing-library", "prettier"],
  "extends": [
    "airbnb",
    "plugin:@typescript-eslint/recommended",
    "plugin:jest/recommended",
    "plugin:testing-library/react",
    "plugin:prettier/recommended"
  ],
  "rules": {
    "@typescript-eslint/explicit-function-return-type": "off",
    "import/extensions": ["off", "never"],
    "import/no-extraneous-dependencies": ["error", { "devDependencies": true }],
    "prettier/prettier": ["error"],
    "react/jsx-filename-extension": [
      "warn",
      { "extensions": [".js", ".jsx", ".ts", ".tsx"] }
    ],
    "react/jsx-props-no-spreading": [1, { "html": "ignore" }]
  },
  "settings": {
    "import/resolver": {
      "typescript": {}
    }
  }
}
